﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;
using Utility;
using System.Drawing;
using System.Text.RegularExpressions;

namespace WindowsFormsApplication1
{
    static class Program
    {
        /// <summary>
        /// 应用程序的主入口点。
        ///ex: a.exe www.cnblogs.com c:\\ a.bmp 320 340 on
        /// </summary>
        [STAThread]
        static void Main(string[] args)
        {
            if (args.Length == 6)
            {
                Regex r = new Regex(@"http://([\w-]+\.)+[\w-]+(/[\w- ./?%&=]*)?");
                if (r.IsMatch(args[0]))
                {
                    try
                    {
                        GetWebImage gwi = new GetWebImage(args[0], 1024, 768, Convert.ToInt32(args[3]), Convert.ToInt32(args[4]));
                        Bitmap bi = gwi.GetBitmap();
                        bi.Save(args[1] + "\\" + args[2]);
                        if (args[5].Equals("on"))
                        {
                            System.Diagnostics.Process.Start(args[1] + "\\" + args[2]);
                        }
                        
                    }
                    catch (Exception ex)
                    {
                        MessageBox.Show(ex.Message);
                    }
                }
                else
                {
                    MessageBox.Show("参数不正确，如：http://www.0736qq.com c:\\ a.bmp 320 240 on");
                }

                return;
            }
            else if (args.Length > 0)
            {
                MessageBox.Show("参数不够，如：http://www.0736qq.com c:\\ a.bmp 320 240 on");
                return;
            }
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new Form1());
        }
    }
}
